{
	"name": "form/local/input/product/product-work1/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "product-work1"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Company ID",
								"attribute": {
									"model": "hdr.pr.json_data.default_customer_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.pr.json_data.default_customer_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Work ID",
								"attribute": {
									"model": "hdr.pr.json_data.work_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.pr.json_data.work_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.pr.name"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.pr.json_data.work_drawing_number"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Product ID",
								"attribute": {
									"model": "hdr.pr.product_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.pr.product_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.calc.tproductioncontroltype"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Stock balance per unit",
								"attribute": {
									"model": "hdr.pr.json_data.stock_balance"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.pr.json_data.stock_balance"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.pr.stock_unit"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "6/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.product.tsaldoinfo"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "6/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									":disabled": "true",
									"model": "rec.product.tproductinfo"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "3/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Unpack Set",
								"attribute": {
									"name": "w_lbUnpackSet"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Open work/product...",
								"attribute": {
									"name": "w_lbWorkOpen"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-row",
						"attribute": {
							"width": "1/1"
						},
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"id": "w_input1_1",
									"model": "grid.product-work.input1_1"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-row",
						"attribute": {
							"width": "1/1"
						},
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"id": "w_input1_2",
									"model": "grid.product-work.input1_2"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "5/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										}
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est Setup Time/unit",
												"attribute": {
													"model": "hdr.pr.setup_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est Work Time/unit",
												"attribute": {
													"model": "hdr.pr.json_data.work_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est. setup time/work",
												"attribute": {
													"model": "hdr.product-work.est_setup_time__work"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-col",
												"attribute": {
													"width": "1em",
													"class": ["nc-center-v", "nc-center-h"]
												},
												"element": [
													{
														"component": "nc-span",
														"text": "/"
													}
												]
											},
											{
												"component": "nc-col",
												"attribute": {
													"width": "auto"
												},
												"element": [
													{
														"component": "nc-input",
														"attribute": {
															":disabled": "true",
															"value": "1"
														}
													}
												]
											},
											{
												"component": "nc-col",
												"attribute": {
													"width": "auto"
												},
												"element": [
													{
														"component": "nc-input",
														"attribute": {
															":disabled": "true",
															"model": "rec.pr.design_unit"
														}
													}
												]
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.pr.setup_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.pr.json_data.work_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.ltrtyot"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-col",
												"attribute": {
													"width": "1em",
													"class": ["nc-center-v", "nc-center-h"]
												},
												"element": [
													{
														"component": "nc-span",
														"text": "/"
													}
												]
											},
											{
												"component": "nc-col",
												"attribute": {
													"width": ["auto"]
												},
												"element": [
													{
														"component": "nc-input",
														"attribute": {
															"model": "rec.pr.calculation_lot"
														}
													}
												]
											},
											{
												"component": "nc-col",
												"attribute": {
													"width": "auto"
												},
												"element": [
													{
														"component": "nc-input",
														"attribute": {
															":disabled": "true",
															"model": "rec.pr.design_unit"
														}
													}
												]
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.ltrasayht"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.ltrtyoayh"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.ltrtyotyh"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "7/12"
						},
						"element": [
							{
								"component": "nc-row",
								"attribute": {},
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Est Material Cost/unit",
																				"attribute": {
																					"model": "hdr.pr.json_data.material_cost_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.pr.json_data.material_cost_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.lrrokyht"
																				}
																			}
																		]
																	}
																]
															}
														]
													},
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Est Mat Sales Price/unit",
																				"attribute": {
																					"model": "hdr.pr.json_data.material_sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.pr.json_data.material_sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.lrrmhyht"
																				}
																			}
																		]
																	}
																]
															}
														]
													}
												]
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Est Work Cost/unit",
																				"attribute": {
																					"model": "hdr.pr.json_data.work_cost_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.pr.json_data.work_cost_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.ltrokyht"
																				}
																			}
																		]
																	}
																]
															}
														]
													},
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Est Work Sales Price/unit",
																				"attribute": {
																					"model": "hdr.pr.json_data.work_sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.pr.json_data.work_sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.ltrmhyht"
																				}
																			}
																		]
																	}
																]
															}
														]
													}
												]
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Est Subc Cost/unit",
																				"attribute": {
																					"model": "hdr.pr.json_data.subcontract_cost_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.pr.json_data.subcontract_cost_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.ltralihok"
																				}
																			}
																		]
																	}
																]
															}
														]
													},
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Est Subc Sales Price/unit",
																				"attribute": {
																					"model": "hdr.pr.json_data.subcontract_sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.pr.json_data.subcontract_sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.ltralihmh"
																				}
																			}
																		]
																	}
																]
															}
														]
													}
												]
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "5/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-button",
												"text": "Update structure",
												"attribute": {
													"name": "w_lbUpdateTreePrice",
													"class": ["btn-column_size", "nc-begin-button", "nc-begin-button"]
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Calc. purchase price total",
												"attribute": {
													"model": "hdr.product-work.cal_purchase_price_total"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Calc. sales price total",
												"attribute": {
													"model": "hdr.product-work.cal_sales_price_total"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Prices/1",
												"attribute": {
													"model": "hdr.product-work.prices_single"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.sYksikko"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.rlokkpl"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.rlmhkpl"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Prices/",
												"attribute": {
													"model": "hdr.product-work.prices_many"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"model": "rec.pr.calculation_lot"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.rlokyht"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.calc.rlmhyht"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "7/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Margin percenct",
																				"attribute": {
																					"model": "hdr.product-work.margin_percenct"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					"model": "rec.calc.rlkatepro"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		}
																	}
																]
															}
														]
													},
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Margin",
																				"attribute": {
																					"model": "hdr.product-work.margin"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.unit"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.calc.total"
																				}
																			}
																		]
																	}
																]
															}
														]
													}
												]
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		}
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		}
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		}
																	}
																]
															}
														]
													},
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Agreed sales price",
																				"attribute": {
																					"model": "hdr.product-work.agreed_sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					"model": "rec.pr.sales_price"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					"model": "rec.calc.rsmhyht"
																				}
																			}
																		]
																	}
																]
															}
														]
													}
												]
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Tax",
																				"attribute": {
																					"model": "hdr.product-work.tax"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.gralv"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					":disabled": "true",
																					"model": "rec.gralv"
																				}
																			}
																		]
																	}
																]
															}
														]
													},
													{
														"component": "nc-col",
														"attribute": {
															"width": "6/12"
														},
														"element": [
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-label",
																				"text": "Agreed sales price + VAT",
																				"attribute": {
																					"model": "hdr.product-work.agreed_sales_price_tax"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					"model": "rec.calc.rSMHkpl_a"
																				}
																			}
																		]
																	}
																]
															},
															{
																"component": "nc-row",
																"element": [
																	{
																		"component": "nc-row",
																		"attribute": {
																			"width": "1/1"
																		},
																		"element": [
																			{
																				"component": "nc-input",
																				"attribute": {
																					"model": "rec.calc.rSMHyht_a"
																				}
																			}
																		]
																	}
																]
															}
														]
													}
												]
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "5/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										}
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Produced Amount",
												"attribute": {
													"model": "hdr.pr.json_data.produced_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.pr.json_data.produced_amount"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "7/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Remaining Amount",
												"attribute": {
													"model": "hdr.pr.json_data.remaining_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":disabled": "true",
													"model": "rec.pr.json_data.remaining_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Min Purchase Amount/unit",
												"attribute": {
													"model": "hdr.pr.minimum_order_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-col",
														"attribute": {
															"width": "9/12"
														},
														"element": [
															{
																"component": "nc-input",
																"attribute": {
																	"model": "rec.pr.minimum_order_amount"
																}
															}
														]
													},
													{
														"component": "nc-col",
														"attribute": {
															"width": "3/12"
														},
														"element": [
															{
																"component": "nc-input",
																"attribute": {
																	":disabled": "true",
																	"model": "rec.pr.stock_unit"
																}
															}
														]
													}
												]
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-checkbox",
												"attribute": {
													"model": "rec.pr.json_data.sales_price_locked"
												},
												"element": [
													{
														"component": "nc-translate",
														"text": "Sales price locked",
														"attribute": {
															"model": "hdr.pr.json_data.sales_price_locked"
														}
													}
												]
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-row",
						"attribute": {
							"width": "1/1"
						},
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"id": "w_input1_3",
									"model": "grid.product-work.input1_3"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Do work load",
								"attribute": {
									"name": "w_lbLoad"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Work loads",
								"attribute": {
									"name": "w_lbWosModify"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Print work order",
								"attribute": {
									"name": "w_lbWoPrint"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Print cover",
								"attribute": {
									"name": "w_lbWoCoverPrint"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Do buys...",
								"attribute": {
									"name": "w_lbMat_Subcontract"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Do wo to sub structure...",
								"attribute": {
									"name": "w_bDoWorkOrder"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Open fine load...",
								"attribute": {
									"name": "w_lbFineLoad"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Packet paper",
								"attribute": {
									"name": "w_lbWoPacketPaper"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Work order + cover print",
								"attribute": {
									"name": "w_lbWoAndCoverPrint"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Receive to stock...",
								"attribute": {
									"name": "w_lbReceiveToStock"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Production status...",
								"attribute": {
									"name": "ldst_lbProductionStatus"
								}
							}
						]
					}
				]
			}
		]
	}
}
